%global debug_package %{nil}

Name:           docker-buildx
Version:        0.11.2
Release:        %mkrel 1
Summary:        BuildKit capabilities for Docker CLI
Group:          System/Configuration
License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://github.com/docker/buildx/archive/v%{version}.tar.gz
# In order to refrech this file, please do
# bm -l
# cd BUILD/buildx-*
# GO111MODULE=on go mod vendor
# tar cvfz ../../SOURCES/vendor.tgz vendor/
Source1:		vendor.tgz
BuildRequires:  golang >= 1.21
BuildRequires:  make
BuildRequires:  docker-devel >= 20.10
Requires:       docker >= 24.0.1

%description
buildx is a Docker CLI plugin for extended build capabilities with BuildKit.

Key features:

    Familiar UI from docker build
    Full BuildKit capabilities with container driver
    Multiple builder instance support
    Multi-node builds for cross-platform images
    Compose build support
    High-level build constructs (bake)
    In-container driver support (both Docker and Kubernetes)

%prep
%setup -q -n buildx-%{version}
tar xfz %{SOURCE1}

%build
export VERSION=%{version}
export REVISION=%{release}
export GO111MODULE=on
./hack/build

%install
install -d -m 0755 %{buildroot}/%{_libexecdir}/docker/cli-plugins
install -p -m 0755 bin/build/%{name} %{buildroot}/%{_libexecdir}/docker/cli-plugins/

%files
%doc AUTHORS README.md MAINTAINERS
%license LICENSE
%{_libexecdir}/docker/cli-plugins/%{name}


%changelog
* Mon Feb 26 2024 bcornec <bcornec> 0.11.2-1.mga9
+ Revision: 2044448
- Adds deps
- Import docker-buildx in mga9 to fix build capability with th new stack
- iCurrent subdir needed

